Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web.loadbalancer
Class LoadbalancerService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.web.loadbalancer.LoadbalancerService

All Implemented Interfaces:
  LoadbalancerServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class LoadbalancerService
extends org.jboss.system.ServiceMBeanSupport
implements LoadbalancerServiceMBean

Version:
  $Revision: 1.4 $
Author:
  Thomas Peuss

Field Summary
`protected Element` | `config`
`protected Loadbalancer` | `loadbalancer`
`protected SchedulerMBean` | `scheduler`
`protected javax.management.ObjectName` | `schedulerObjectName`
`protected int` | `timeout`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.web.loadbalancer.LoadbalancerServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`LoadbalancerService()`

Method Summary
`void` | `addRequestData(Request schedRequest)`
`void` | `createMethod(Request schedRequest)`
`protected void` | `destroyService()`
`int` | `getConnectionsInUse()` Get the currently used connections to slave hosts.
`int` | `getConnectionTimeout()` Get the currently used connection timeout to slave hosts.
`javax.management.ObjectName` | `getScheduler()` Get the scheduler for this Loadbalancer.
`void` | `handleRequest(Request schedRequest)`
`void` | `setConnectionTimeout(int newTimeout)` Set the currently used connection timeout to slave hosts.
`void` | `setScheduler(javax.management.ObjectName schedulerObjectName)` Set the scheduler for this Loadbalancer.
`protected void` | `startService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### config

    protected Element config

### loadbalancer

    protected Loadbalancer loadbalancer

### schedulerObjectName

    protected javax.management.ObjectName schedulerObjectName

### scheduler

    protected SchedulerMBean scheduler

### timeout

    protected int timeout

Constructor Detail

### LoadbalancerService

    public LoadbalancerService()

Method Detail

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### destroyService

    protected void destroyService()
                           throws Exception

  Throws:
    `Exception`

### setScheduler

    public void setScheduler(javax.management.ObjectName schedulerObjectName)

  Set the scheduler for this Loadbalancer.

  Specified by:
    `setScheduler` in interface `LoadbalancerServiceMBean`
  Parameters:
    `schedulerObjectName` -

### getScheduler

    public javax.management.ObjectName getScheduler()

  Get the scheduler for this Loadbalancer.

  Specified by:
    `getScheduler` in interface `LoadbalancerServiceMBean`

### getConnectionTimeout

    public int getConnectionTimeout()

  Get the currently used connection timeout to slave hosts.

  Specified by:
    `getConnectionTimeout` in interface `LoadbalancerServiceMBean`

### setConnectionTimeout

    public void setConnectionTimeout(int newTimeout)

  Set the currently used connection timeout to slave hosts.

  Specified by:
    `setConnectionTimeout` in interface `LoadbalancerServiceMBean`

### getConnectionsInUse

    public int getConnectionsInUse()

  Get the currently used connections to slave hosts.

  Specified by:
    `getConnectionsInUse` in interface `LoadbalancerServiceMBean`

### createMethod

    public void createMethod(Request schedRequest)
                      throws NoHostAvailableException

  Specified by:
    `createMethod` in interface `LoadbalancerServiceMBean`
  Throws:
    `NoHostAvailableException`

### addRequestData

    public void addRequestData(Request schedRequest)

  Specified by:
    `addRequestData` in interface `LoadbalancerServiceMBean`

### handleRequest

    public void handleRequest(Request schedRequest)
                       throws javax.servlet.ServletException,
                              IOException

  Specified by:
    `handleRequest` in interface `LoadbalancerServiceMBean`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.